=== debian/changelog ===
sisl (4.6.0-3) unstable; urgency=medium

  * Take over maintenance into Debian Science team and add myself as
    Uploader
    Closes: #1052598
  * Add Gard Spreemann to Uploaders
  * Secure URI in Homepage
  * Add watch file
  * Build with CMake 4
    Closes: #1113506
  * d/copyright: Fix short name
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Oct 2025 16:13:48 +0200

sisl (4.6.0-2) unstable; urgency=medium

  * Use DBL_MAX instead of MAXDOUBLE (Closes: #891292)

 -- Simon Richter <sjr@debian.org>  Tue, 06 Mar 2018 12:10:25 +0100

sisl (4.6.0-1) unstable; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Sat, 17 Oct 2015 22:38:08 +0200
