=== debian/control ===
Source: sisl
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Gard Spreemann <gspr@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Section: libs
Vcs-Browser: https://salsa.debian.org/science-team/sisl
Vcs-Git: https://salsa.debian.org/science-team/sisl.git
Homepage: https://www.sintef.no/projectweb/geometry-toolkits/sisl/

Package: libsisl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: SINTEF Spline Library
 The SINTEF Spline Library is a comprehensive NURBS library for the modeling
 and interrogation of curves and surfaces.
 .
 It is implemented in C and has been under continuous development for over two
 decades.
