=== debian/watch ===
Version: 5

Template: Github
Owner: SINTEF-Geometry
Project: SISL
